Bug 500418 - No sound output from headphone jack [1028:01dd]
No sound output from headphone jack [1028:01dd]
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-utils (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-12 11:51 EDT by Josh Boyer
Modified: 2017-08-28 07:20 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:30:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
alsa-info.sh --no-upload (22.60 KB, text/plain)
2009-05-12 14:51 EDT, Josh Boyer
no flags Details
alsa-info.txt.ZWaEC2Iz8j (28.98 KB, text/plain)
2009-11-21 16:40 EST, nmudgal
no flags Details

  None (edit)
Description Josh Boyer 2009-05-12 11:51:50 EDT
Description of problem:

I have a Dell Dimension e520 with intel-hda.  I have tried multiple things to get sound to output from the headphone jack on the front of the box and nothing works.

This worked find in F9, in F10 I could get it to start outputing but then the volume would slowly decrease to nothing and I couldn't turn it back up.  With rawhide/F11, I get nothing.

Version-Release number of selected component (if applicable):

pulseaudio-0.9.15-11.fc11.x86_64

How reproducible:

So far, always

Steps to Reproduce:
1.  Boot box, login
2.  start rythmbox (or some other sound output app)
3.  plug in headphones
  
Actual results:

Hear nothing

Expected results:

Hear sound

Additional info:

I'm more than willing to try whatever you suggest on this box, but I have no clue how to proceed.
Comment 1 Josh Boyer 2009-05-12 11:54:34 EDT
[jwboyer@hansolo Desktop]$ lspci
00:00.0 Host bridge: Intel Corporation 82P965/G965 Memory Controller Hub (rev 02)
00:01.0 PCI bridge: Intel Corporation 82P965/G965 PCI Express Root Port (rev 02)
00:02.0 VGA compatible controller: Intel Corporation 82G965 Integrated Graphics Controller (rev 02)
00:02.1 Display controller: Intel Corporation 82G965 Integrated Graphics Controller (rev 02)
00:19.0 Ethernet controller: Intel Corporation 82562V 10/100 Network Connection (rev 02)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 02)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 02)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 02)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev f2)
00:1f.0 ISA bridge: Intel Corporation 82801HH (ICH8DH) LPC Interface Controller (rev 02)
00:1f.2 RAID bus controller: Intel Corporation 82801 SATA RAID Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 02)
[jwboyer@hansolo Desktop]$
Comment 2 Josh Boyer 2009-05-12 14:51:48 EDT
Created attachment 343646 [details]
alsa-info.sh --no-upload
Comment 3 Josh Boyer 2009-05-12 14:52:39 EDT
[root@hansolo ~]# alsactl init
Unknown hardware: "HDA-Intel" "SigmaTel STAC9227" "HDA:83847618,102801dd,00100201" "0x1028" "0x01dd"
Hardware is initialized using a guess method
/usr/share/alsa/init/default:51: control element not found
/usr/share/alsa/init/default:52: missing closing brace for format
/usr/share/alsa/init/default:52: error parsing CTL attribute
/usr/share/alsa/init/default:52: invalid rule
[root@hansolo ~]#
Comment 4 Josh Boyer 2009-05-12 15:00:20 EDT
There is no amixer_before/amixer_after stuff to report.  Nothing works at all to make sound come out of the headphone jack apparently.

I don't have external speakers plugged in at all.  Sort of at a loss for what to do next.
Comment 5 Lennart Poettering 2009-05-12 19:30:47 EDT
Hmm, that 'alsactl init' issue looks like an alsa-utils bug. Reassigning.
Comment 6 Josh Boyer 2009-05-13 07:23:28 EDT
This box has been upgraded from F9 -> F10 -> rawhide.  If there is something I should be looking for with the alsa files, let me know.
Comment 7 Josh Boyer 2009-05-27 08:53:00 EDT
With the latest F11 alsa packages, I no longer get the errors from alsactl:

[jwboyer@hansolo Desktop]$ sudo alsactl init
Unknown hardware: "HDA-Intel" "SigmaTel STAC9227" "HDA:83847618,102801dd,00100201" "0x1028" "0x01dd"
Hardware is initialized using a guess method
[jwboyer@hansolo Desktop]$

[jwboyer@hansolo Desktop]$ rpm -qa | grep alsa
alsa-lib-1.0.20-1.fc11.x86_64
alsa-lib-1.0.20-1.fc11.i586
alsa-utils-1.0.20-3.fc11.x86_64
alsa-lib-devel-1.0.20-1.fc11.x86_64

I still don't hear any sound from the headphone jack though.  Is there anything else I can gather?
Comment 8 Bug Zapper 2009-06-09 11:41:48 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Richard Burnison 2009-06-25 10:32:37 EDT
I can confirm this issue on a fresh install of Fedora 11 x86_64, with all kernels up to and including 2.6.29.5-191.fc11.x86_64.

There are 3 entries in the system log that may be of some use:

Jun 25 09:54:52 localhost pulseaudio[2070]: alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually nothing to write!
Jun 25 09:54:52 localhost pulseaudio[2070]: alsa-sink.c: Most likely this is a bug in the ALSA driver 'snd_hda_intel'. Please report this issue to the ALSA developers.
Jun 25 09:54:52 localhost pulseaudio[2070]: alsa-sink.c: We were woken up with POLLOUT set -- however a subsequent snd_pcm_avail() returned 0 or another value < min_avail.

In one instance, similar to that described in Josh Boyer's original report, output was audible, but the loudness gradually decreased to silence in 2-3 seconds.  I have not since been able to reproduce that scenario.
Comment 10 Felix Schwarz 2009-07-17 17:27:31 EDT
I have almost the same sound card as Josh and for me the workaround described in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/363721 worked like a charm (Fedora 10): 
Create /etc/modprobe.d/alsa-base.conf with 'options snd-hda-intel model="ref"'.

This fixed similar problems for me.
Comment 11 Richard Burnison 2009-07-20 14:57:36 EDT
I can confirm Felix's suggested approach resolves this problem with Fedora 11 x68_64.

I appreciate your help.
Comment 12 Andre Costa 2009-08-13 18:44:59 EDT
I have an Intel DG33BU mobo with a ICH9 audio chip. Using either "ref" or "3stack-6ch-intel" [taken from line #152 of http://www.mjmwired.net/kernel/Documentation/sound/alsa/HD-Audio-Models.txt] doesn't work for me, headphone jack still stays mute. Speakers sound is ok, though.

Sound worked on F10, and still works on WinXP.

Additional info:

~ lspci | grep -i audio
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 02)

~ cat /etc/modprobe.d/alsa-base.conf 
options snd-hda-intel model="3stack-6ch-intel"

~ cat /proc/asound/card0/pcm0p/info 
card: 0
device: 0
subdevice: 0
stream: PLAYBACK
id: ALC888 Analog
name: ALC888 Analog
subname: subdevice #0
class: 0
subclass: 0
subdevices_count: 1
subdevices_avail: 1

# grep 3stack /var/log/messages 
Aug 13 17:51:31 localhost kernel: ALSA sound/pci/hda/hda_codec.c:2698: hda_codec: model '3stack-6ch-intel' is selected
Aug 13 16:17:22 localhost kernel: ALSA sound/pci/hda/hda_codec.c:2698: hda_codec: model '3stack-6ch-intel' is selected

# alsactl init
Unknown hardware: "HDA-Intel" "Realtek ALC888" "HDA:10ec0888,80860001,00100001" "0x8086" "0x0001"
Hardware is initialized using a guess method

Anyone has any other suggestion?
Comment 13 Andre Costa 2009-09-07 12:23:41 EDT
Any progress on this? Any chance this gets fixed within F11 timeframe or should we just forget about it and point our hopes to F12?
Comment 14 Gianluca Cecchi 2009-09-08 18:13:12 EDT
I confirm same problem still in F11 x86_64
kernel 2.6.30.5-43.fc11.x86_64
pulseaudio-0.9.15-17.fc11.x86_64
alsa-utils-1.0.21-1.fc11.x86_64
alsa-lib-1.0.21-1.fc11.x86_64

mb is Intel DP35DP
$ lspci| grep -i audio
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 02)

Tried with 
options snd-hda-intel model=ref

inside /etc/modprobe.d/alsa-base.conf
but no changes
Thanks,
Gianluca
Comment 15 Ben Konrath 2009-09-28 10:04:54 EDT
This still isn't working. To get sound out of the headphone jack, I need to do the following:

* Plug in headphones
* run alsa-info --no-upload

If I take the head phones out, I need to run alsa-info --no-upload to get the sound to come out of my laptop speakers. So my problem is that the headphone jack-sense is not working. Thanks!
Comment 16 Adam Williamson 2009-10-16 12:20:23 EDT
Please, guys, unless you have exactly the same hardware as the initial reporter, you need to file a separate bug on the kernel, following the instructions here:

https://fedoraproject.org/wiki/Bug_info_kernel_sound

even though the symptom's the same, unless you have the exact same chipset as the initial reporter - Subsystem: 1028:01dd in your alsa-info.sh output - you do not have the same bug. File a new one. Thanks. If you're aware of a model= parameter which solves the bug in your case, please include that information in the report. Also check whether the model= parameter breaks any other functionality, if you can (for e.g. it may make the headphone jack work but break the line-in jack, or something).

Josh, do you still have problems with the latest F11 update kernel?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 17 Andre Costa 2009-10-18 09:29:06 EDT
Hi Adam, thks for stepping in. As requested, I filed bug #529543, since my chipset is identified by alsa-info.sh as being 8086:0001 AFAICS.
Comment 18 nmudgal 2009-11-21 16:40:09 EST
Created attachment 372799 [details]
alsa-info.txt.ZWaEC2Iz8j
Comment 19 nmudgal 2009-11-21 16:53:16 EST
it's dell inspiron 1525 notebook pc . I just installed f12 in it & found that when i plug my headphone in one jack it works fine but in the other it don't ..rest sound is working fine .

# uname -r
2.6.31.5-127.fc12.x86_64

# lspci |grep -i audio
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)

# alsactl init
Unknown hardware: "HDA-Intel" "SigmaTel STAC9228" "HDA:14f12c06,14f1000f,00100000 HDA:10951392,10280242,00100000 HDA:83847616,10280242,00100402" "0x1028" "0x022f"
Hardware is initialized using a guess method

# rpm -qa | grep alsa
alsa-plugins-pulseaudio-1.0.21-2.fc12.x86_64
alsa-lib-1.0.21-3.fc12.x86_64
alsa-lib-devel-1.0.21-3.fc12.x86_64
alsa-utils-1.0.21-2.fc12.x86_64

# cat /proc/asound/card0/pcm0p/info
card: 0
device: 0
subdevice: 0
stream: PLAYBACK
id: STAC92xx Analog
name: STAC92xx Analog
subname: subdevice #0
class: 0
subclass: 0
subdevices_count: 1
subdevices_avail: 1
Comment 20 Adam Williamson 2009-11-23 14:55:47 EST
nmudgal, your hardware is different from Josh's. Please file a new bug, with a description of your symptoms and the alsa-info output. Thanks.

Josh, still waiting on an update from you...

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 21 Bug Zapper 2010-04-27 10:17:30 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Bug Zapper 2010-06-28 08:30:19 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.